[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[SECURITY] Fedora 8 Update: gtkmozembedmm-1.4.2.cvs20060817-22.fc8



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2008-6491
2008-07-18 01:38:21
--------------------------------------------------------------------------------

Name        : gtkmozembedmm
Product     : Fedora 8
Version     : 1.4.2.cvs20060817
Release     : 22.fc8
URL         : http://gtkmm.sourceforge.net/
Summary     : C++ wrapper for GtkMozembed
Description :
This package provides a C++/gtkmm wrapper for GtkMozEmbed
from Mozilla 1.4.x to 1.7.x.
The wrapper provides a convenient interface for C++ programmers
to use the Gtkmozembed HTML-rendering widget inside their software.

--------------------------------------------------------------------------------
Update Information:

Updated firefox packages that fix several security issues are now available for
Fedora 8.    An integer overflow flaw was found in the way Firefox displayed
certain web content. A malicious web site could cause Firefox to crash, or
execute arbitrary code with the permissions of the user running Firefox.
(CVE-2008-2785)    A flaw was found in the way Firefox handled certain command
line URLs. If another application passed Firefox a malformed URL, it could
result in Firefox executing local malicious content with chrome privileges.
(CVE-2008-2933)    Updated packages update Mozilla Firefox to upstream version
2.0.0.16 to address these flaws:    http://www.mozilla.org/security/known-
vulnerabilities/firefox20.html#firefox2.0.0.16    This update also contains
blam, cairo-dock, chmsee, devhelp, epiphany, epiphany-extensions, galeon, gnome-
python2-extras, gnome-web-photo, gtkmozembedmm, kazehakase, liferea, Miro,
openvrml, ruby-gnome2 and yelp packages rebuilt against new Firefox / Gecko
libraries.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #452204 - CVE-2008-2785 mozilla: CSS reference counter overflow (ZDI-CAN-349)
        https://bugzilla.redhat.com/show_bug.cgi?id=452204
  [ 2 ] Bug #454697 - CVE-2008-2933 Firefox command line URL launches multi-tabs
        https://bugzilla.redhat.com/show_bug.cgi?id=454697
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update gtkmozembedmm' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]